from . import preferences
import blf


def draw_callback_px(self, context):

    header_height = context.area.regions[0].height
    height = context.area.height + header_height

    #left Top Menu
    x = 150
    y = 150
    #Shadow Value:
    s=5
    h=0.0
    a=0.0
    d=0.0
    o=0.5
    #Shadow_Offset Value:
    sx = 2
    sy = -3

    blue = preferences.get_preferences().Color_Modal_Lattice
    Size = preferences.get_preferences().size_modal_text
    Pos_X = preferences.get_preferences().x_modal_text
    Pos_Y = height - preferences.get_preferences().y_modal_text

    font_id = 0
    blf.position(font_id, Pos_X, Pos_Y, 0)
    blf.size(font_id, Size, )
    blf.color(font_id, blue[0], blue[1], blue[2], blue[3])
    blf.enable(font_id, blf.SHADOW)
    blf.shadow(font_id, 5, 0.0, 0.0, 0.0, .6)
    blf.shadow_offset(font_id, 3, -3)
    blf.enable(font_id, blf.WORD_WRAP)
    blf.word_wrap(font_id, 500)

    font_id2 = 1
    blf.position(font_id2, Pos_X, Pos_Y-45, 0)
    blf.size(font_id2, Size*.8, )
    blf.color(font_id2, 1, 1, 1, 1)
    blf.enable(font_id2, blf.SHADOW)
    blf.shadow(font_id2, s, h, a, d, o)
    blf.shadow_offset(font_id2, sx, sy)
    blf.enable(font_id2, blf.WORD_WRAP)
    blf.word_wrap(font_id2, 500)



    if preferences.get_preferences().Display_Shortcuts_Modal_Lattice:

        blf.draw(font_id, "Modal Lattice\nResolution")
        str_3 = "\n".join((
            "",
            "See Shortcuts ",
            "in Status Bar",
        ))
        blf.draw(font_id2, str_3)

def draw_shortcuts(header, context):
    layout = header.layout
    sep = 5

    layout.label(text="Ctrl+Scroll: U", icon="MOUSE_MMB")
    layout.label(text="Atl+Scroll: V", icon="MOUSE_MMB")
    layout.label(text="Shift+Scroll: W", icon="MOUSE_MMB")

    layout.separator(factor=sep)

    layout.label(text="Linear", icon="EVENT_L")
    layout.label(text="BSpline", icon="EVENT_B")
    layout.label(text="Cardinal", icon="EVENT_C")
    layout.label(text="Catmull-Rom", icon="EVENT_R")

    layout.separator(factor=sep)

    layout.label(text="2*2*2", icon="EVENT_ZEROKEY")
    layout.label(text="Plane 2*2*1", icon="EVENT_ONEKEY")
    layout.label(text="2*2*2", icon="EVENT_TWOKEY")
    layout.label(text="3*3*3", icon="EVENT_THREEKEY")
    layout.label(text="And so forth...", )

    layout.separator(factor=sep)

    layout.label(text="Lattice Panel", icon="EVENT_P")
    layout.label(text="Outside", icon="EVENT_O")
    layout.label(text="Front", icon="EVENT_F")

    layout.separator(factor=sep)

    layout.label(text="or", icon="MOUSE_LMB")
    layout.label(text="Confirm", icon="EVENT_RETURN")

    layout.label(text="or", icon="MOUSE_RMB")
    layout.label(text="Cancel", icon="EVENT_ESC")